Convert an OpenSHAPA Script to the Datavyu Format

Convert an OpenSHAPA Script to the Datavyu FormatΒΆ

If you have previously written scripts for use with OpenSHAPA, you can easily reuse them with Datavyu.

Datavyu’s Ruby API was designed to be compatible with the earlier scripting formats. To update scripts from OpenSHAPA, you simply need to delete the OpenSHAPA API code at the beginning of the file and replace it with the following line of code:

require 'Datavyu_API.rb'

And with that, you should be able to run your existing OpenSHAPA scripts through Datavyu.